* {
    scroll-behavior: smooth !important;
}

html:focus-within {
  scroll-behavior: smooth;
}

body {
    position: relative;
    overflow-x: hidden;
    
    background-image: url("/img/stars3.gif");
    background-size: auto;
    background-position: center;
    background-repeat: repeat;

        margin: 0px;
    padding: 0px;
    padding-bottom: 500px;

}
html, body {
    max-width: 100%;
    overflow-x: hidden;
    
}
#background {
    background-image: url("/img/canistaria/canistariaBG4.jpg");
    opacity: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
    width: 100vw;
    z-index: -10;
    position: fixed;
}
#header-container {
    width: 100vw;
    height: 400px;
    position: relative;
    top: 0px;
    margin: 0px 0px;
    margin-top: 25px;
    margin-bottom: -50px;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0);
    
}
.header-background {
    position: absolute;
    
    width: 100%;
    height: 100%;
    background-image: url("/img/canistaria/canistariaBG1.jpg");
    background-position: center;
    -webkit-mask-image: radial-gradient(ellipse, black 50%, transparent 70%);
    mask-image: radial-gradient(ellipse, black 50%, transparent 70%);
}   
.video-embed {
    border: none;
    mask-image: radial-gradient(ellipse, black 50%, transparent 90%);
}
.showcase-img {
    width: 90%;
    margin: 0px auto;
    display: block;
}
.content-img {
    width: 95%;
    margin: 0px auto;
    display: block;
    padding: 5px;
    margin-top: 9px;
    
    border: 1px solid rgb(0, 0, 0);
    box-shadow: 0px 0px 5px white;
    border-radius: 30px;
}
.radial-mask {
    mask-image: radial-gradient(ellipse, black 30%, transparent 75%);
}
.feature-list {
    text-align: left;
    margin-left: 10%;
    line-height: 40px;
    list-style-type: none;
}
#splash-text {
    position: absolute;
    width: 100vw;
    height: 50px;
    top: 180px;
    
    text-align: center;
    /* pointer-events: none;
    margin-top: 130px; */
    
    border-radius: 15px;
    
    font-size: 120px;
    letter-spacing: 18px;
    font-style: italic;
    font-family: 'daksha';
    color: rgba(255, 255, 255, 0);
    text-shadow: 
        2px 2px 1px rgb(255, 255, 255),
        -1px -1px 25px rgb(255, 255, 255),
        1px -2px 25px rgb(255, 255, 255)
        ;

    z-index: 2;

    transform-origin: left center;
}
.splashtext-decor-line {
    position: absolute;
    width: 100vw;
    height: 5px;
    background-color: white;
}

.magic-traveling-canines {
    top: 50px;
}

.magic-traveling-canines-2 {
    top: 300px;
    animation: hue-rotate 5s linear infinite,
    traveling-canine-reverse 10s linear infinite,
    canine-bounce 5s ease-in-out infinite alternate;
}

.ornament {
    position: absolute;
    width: 200px;
    animation: hue-rotate 5s linear infinite;
}

.ornament2 {
    position: absolute;
    width: min(900px, 80%);
    top: 250px;
    animation: hue-rotate 5s linear infinite;
}
.canistaria-icon-big {
    margin: 0px auto;
    height: 200px;
    display: block;
    position: relative;
    top: 0px;
    z-index: 10;
}

.canistaria-halo {
    height: 400px;
    position: absolute;
    top: -100px;
    left: calc(50vw - 200px);
    z-index: 9;
    animation: rotate-halo 25s linear infinite;
}

@keyframes rotate-halo {
    0% {
        transform: rotate(0deg) scale(.8);
        opacity: .5;
    }
    100% {
        transform: rotate(360deg) scale(1.5);
        opacity: .8;
    }
}
.indicator {
    width: 50px;
    height: 30px;
    background-color: green;
    border: 3px solid green;
    border-radius: 30px;
    padding: 2px;
}   
.indicator.wip {
    background-color: rgb(121, 72, 0);
    border: 3px solid rgb(220, 216, 0);
    border-radius: 30px;
    padding: 2px;
}   

#galleries {
    margin-top: 50px;
}

.gallery-header {
    max-width: 800px;
    display: flex; 
    flex-direction: column;
    justify-content: center;
    margin: 0px auto;

    background-color: rgba(252, 235, 255, 0.845);

    color: rgb(121, 28, 114);
    font-family: 'floral';
    font-size: 18px;

    padding: 10px 10px;

    border: 2px solid white;
    border-radius: 25px;
    background-image: url("/img/moonplanets b.png");

    animation: img-appear 2s ease-in-out 0s both;
}
h2, h3 {
    margin: 0px auto;
    max-width: 90%;

    z-index: 10;
}
h2 {
    font-family: 'sweetestcat';
    font-size: 30px;
    font-style: normal;
    font-weight: normal;
    letter-spacing: 4px;
    text-align: center;
    color:rgb(57, 255, 209);

    text-shadow: 
    1px 0px 20px white;
 
}
h3 {
    font-family: 'Super Joyful';
    font-weight: normal;
    letter-spacing: normal;

    text-align: center;
    color:rgb(93, 25, 219);
    /* text-shadow: 
    1px 0px rgb(255, 255, 255),
    -1px 0px white,
    0px 1px white,
    0px -1px white; */
}
h4 {
    font-size: 28px;
    font-weight: bold;
    letter-spacing: 5px;
    margin-top: 10px;
    margin-bottom: 0px;
}

.bordered-section {
    z-index: 1;
    position: relative;
    background-color: rgba(0, 0, 0, 0.8);
    box-shadow: 0px 0px 30px 30px rgba(0, 0, 0, 0.8);
    /* padding: 15px; */
    border-radius: 50px;
    width: min(100%, 85vw);
    margin: 0px auto;

    border: 90px solid transparent;
    border-image: url("/img/thetadelta borders.png") 33% repeat;

    font-family:'sweetestcat';
    font-size: 20px;
    /* font-style: italic; */
    color: white;
    text-align: center; 
    
    padding: 0px;
    transition: max-height 0.4s ease-in-out, opacity 0.3s ease-in-out, padding 0.4s ease-in-out, border-width 0.4s ease-in-out;
}

.bordered-section.closed {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    border-width: 0 !important; 
    margin-top: 0; 
}

.bordered-section.open {
    opacity: 1;
    
    border-width: 90px;
    margin-top: 5px;
}

.content-box-container {
    z-index: 1;
    position: relative;
    background-color: rgba(0, 0, 0, 0);
    
    width: min(1400px, 90%);
    margin: 0px auto;
    padding: 0px;
}

.content-box-button {
    z-index: 10;
    position: relative;
    border: 1px solid cyan;
    background-color: rgb(6, 84, 65);
    box-shadow: 0 0 15px 5px rgba(8, 164, 29, 0.6);
    border-radius: 25px;
    padding: 0px;
    color: cyan;
    margin: 10px auto;
    display: block;
    font-family: 'sweetestcat';
    font-size: 28px;
    max-width: min(600px, 90vw);
    text-align: center;

    cursor: url('/img/pawcursor_highlight.png'), auto;
    user-select: none;
    transition: all 0.3s ease-in-out;
}

.content-box-button.active-state {
    background-color: rgba(222, 46, 253, 0.8);
    border-color: magenta;
    box-shadow: 0 0 15px 5px rgba(217, 0, 255, 0.6);
    color: white; 
    transform: scale(1.02); 
}

.discord-join {
    border: 1px solid cyan;
    background-color: rgb(6, 84, 65);
    border-radius: 25px;
    padding: 15px;
    color: cyan;
    margin: 20px auto;
    display: block;
    font-family: 'super joyful';
    font-size: 20px;
    max-width: 500px;
}

.update-bookmark {
    border: 1px solid rgb(225, 255, 0);
    background-color: rgb(113, 68, 17);
    border-radius: 25px;
    padding: 15px;
    color: #ffcb86;
    margin: 20px auto;
    display: block;
    font-family: 'super joyful';
    font-size: 20px;
    max-width: 500px;
}
.canistaria-title {
    font-family: 'jhericurls';
    font-weight: bold;
    letter-spacing: 6px;
    color:rgb(57, 255, 209);

    text-shadow: 
    1px 0px 20px white;
}
.wippytext {
    margin: 0px auto;
    font-family: 'super joyful';
    font-size: 40px;
    font-style: bold;
    position: relative;
    top: 40px;
}


@media (max-width: 1200px) {
    #splash-text {
        margin-top: 40px;
        font-size: 40px;
    }
    .bordered-section, .content-box-container {
        width: 100vw;
        border-width: 50px;
        border-left: none;
        border-right: none;
    }
    h2 {
        font-size: 20px;
    }
    /* #header-container {
        transform: scale(.75);
    } */
     .ornament {
        visibility: hidden !important;
     }
     .ornament2 {
        top: 170px;
     }
}